> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a user's solar inverter

> Remove a solar inverter related to a specific user under a specific organization.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json delete /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}:
    delete:
      tags:
        - User Solar Inverters
      summary: Remove a user's solar inverter
      description: >-
        Remove a solar inverter related to a specific user under a specific
        organization.
      operationId: >-
        integrations_api_api_v2_organizations_users_inverters_router_delete_inverter
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the solar inverter belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the solar inverter belongs to
        - in: path
          name: inverter_id
          schema:
            description: The ID of the solar inverter to be deleted
            format: uuid
            title: Inverter Id
            type: string
          required: true
          description: The ID of the solar inverter to be deleted
        - in: query
          name: soft_delete
          schema:
            default: false
            description: If true, marks the device as deleted without removing data
            title: Soft Delete
            type: boolean
          required: false
          description: If true, marks the device as deleted without removing data
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````